osl::PtypeTraits< GOLD > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =GOLD
static const int | indexMin =26
static const int | indexLimit =30
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const Ptype | basicType =GOLD
static const int | moveMask

## Detailed Description

Definition at line 38 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< GOLD >::csaName | ( |  | ) |

inline static

Definition at line 45 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< GOLD >::name | ( |  | ) |

inline static

Definition at line 44 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< GOLD >::basicType =GOLD

static

Definition at line 50 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< GOLD >::betterToPromote =false

static

Definition at line 42 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< GOLD >::canPromote =false

static

Definition at line 41 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< GOLD >::dropBlackFromY =1

static

Definition at line 48 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< GOLD >::dropBlackToY =9

static

Definition at line 49 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< GOLD >::indexLimit =30

static

Definition at line 47 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< GOLD >::indexMin =26

static

Definition at line 46 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< GOLD >::isBasic =true

static

Definition at line 40 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< GOLD >::moveMask

static

Initial value:
=
DirectionTraits<UL>::mask|DirectionTraits<U>::mask
|DirectionTraits<UR>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 51 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< GOLD >::moveType =GOLD

static

Definition at line 43 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h